Register callback function by event name.

- « Swoole\Http\Client::isConnected

- Swoole\Http\Client::post »

- PHP Manual
- Swoole\Http\Client
- Register callback function by event name.

# Swoole\Http\Client::on

(PECL swoole >= 1.9.0)

Swoole\Http\Client::on — Register callback function by event name.

### Description

public Swoole\Http\Client::on(string `$event_name`, callable `$callback`): void

### Parameters

`event_name`

`callback`

### Return Values